Bug 1030480 - [abrt] telepathy-mission-control-5.16.0-2.fc21: magazine_chain_pop_head: Process /usr/libexec/mission-control-5 was killed by signal 11 (SIGSEGV)
[abrt] telepathy-mission-control-5.16.0-2.fc21: magazine_chain_pop_head: Proc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:48e643e28661c202ccc43629684...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 09:20 EST by Tom London
Modified: 2016-07-19 06:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.33 KB, text/plain)
2013-11-14 09:20 EST, Tom London
no flags Details
File: cgroup (158 bytes, text/plain)
2013-11-14 09:20 EST, Tom London
no flags Details
File: core_backtrace (12.78 KB, text/plain)
2013-11-14 09:20 EST, Tom London
no flags Details
File: dso_list (3.45 KB, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: environ (1017 bytes, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: maps (18.39 KB, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: open_fds (418 bytes, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details
File: var_log_messages (395 bytes, text/plain)
2013-11-14 09:21 EST, Tom London
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 73029 None None None Never

  None (edit)
Description Tom London 2013-11-14 09:20:45 EST
Version-Release number of selected component:
telepathy-mission-control-5.16.0-2.fc21

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/mission-control-5
kernel:         3.13.0-0.rc0.git2.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_slist_prepend at gslist.c:267
 #4 g_object_notify_queue_add at gobject.c:306
 #5 object_set_property at gobject.c:1381
 #6 g_object_new_internal at gobject.c:1755
 #7 g_object_new_valist at gobject.c:1978
 #9 mcd_dispatcher_new at mcd-dispatcher.c:919
 #10 mcd_master_constructor at mcd-master.c:209

Potential duplicate: bug 883908
Comment 1 Tom London 2013-11-14 09:20:52 EST
Created attachment 823971 [details]
File: backtrace
Comment 2 Tom London 2013-11-14 09:20:54 EST
Created attachment 823972 [details]
File: cgroup
Comment 3 Tom London 2013-11-14 09:20:58 EST
Created attachment 823973 [details]
File: core_backtrace
Comment 4 Tom London 2013-11-14 09:21:00 EST
Created attachment 823974 [details]
File: dso_list
Comment 5 Tom London 2013-11-14 09:21:03 EST
Created attachment 823975 [details]
File: environ
Comment 6 Tom London 2013-11-14 09:21:06 EST
Created attachment 823976 [details]
File: exploitable
Comment 7 Tom London 2013-11-14 09:21:09 EST
Created attachment 823977 [details]
File: limits
Comment 8 Tom London 2013-11-14 09:21:13 EST
Created attachment 823978 [details]
File: maps
Comment 9 Tom London 2013-11-14 09:21:16 EST
Created attachment 823979 [details]
File: open_fds
Comment 10 Tom London 2013-11-14 09:21:20 EST
Created attachment 823980 [details]
File: proc_pid_status
Comment 11 Tom London 2013-11-14 09:21:23 EST
Created attachment 823981 [details]
File: var_log_messages
Comment 12 Adam Williamson 2013-12-20 00:11:23 EST
Another user experienced a similar problem:

In the background,  I did not trigger directly.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/mission-control-5
kernel:         3.13.0-0.rc4.git4.1.fc21.x86_64
package:        telepathy-mission-control-5.16.0-2.fc21
reason:         mission-control-5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 13 Adam Williamson 2013-12-20 00:18:10 EST
Another user experienced a similar problem:

Background failure.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/mission-control-5
kernel:         3.13.0-0.rc3.git3.1.fc21.x86_64
package:        telepathy-mission-control-5.16.0-2.fc21
reason:         mission-control-5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 14 Milan Bouchet-Valat 2013-12-25 05:11:45 EST
I've also experienced it on F20, same Telepathy version.

I've filed it upstream. It looks like a memory corruption to me, so it would be useful to run mission-control in Valgrind. Are you able to reproduce the bug? I don't think I am.
Comment 15 Adam Williamson 2014-01-08 15:31:49 EST
Another user experienced a similar problem:

Happened during boot.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/mission-control-5
kernel:         3.13.0-0.rc7.git1.1.fc21.x86_64
package:        telepathy-mission-control-5.16.0-2.fc21
reason:         mission-control-5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 16 Jaroslav Reznik 2015-03-03 10:12:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 17 Fedora End Of Life 2016-07-19 06:35:38 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.